CREATE OR REPLACE TRIGGER salary_check
BEFORE INSSERT OR UPDATE OF sal, jpb ON employee
FOR EACH ROW
WHEN (new.job != MANAGER)
DECLARE
       e_minsal NUMBER;
       e_maxsal NUMBER;
BEGIN
 SELECT minsal, maxsal INTO e_minsal, e_maxsal FROM sal_grade 
WHERE job = :new.job;
IF ( :new.sal < e_minsal OR :new.sal > e_maxsal ) Then 
RAISE_APPLICATION_ERROR ( -20230, Salary not in range);
ELSEIF ( :new.sal < :old.sal ) THEN
RAISE_APPLICATION_ERROR ( -20231, Salary cannot be decreased );
ELSEIF ( :new.sal > 1.1 * :old.sal ) THEN
RAISE_APPLICATION_ERROR ( -20232, Salary exceeds 10% );
END IF; 
END;