CREATE or replace PROCEDURE cal_bonus (emp_id IN NUMBER, incr IN OUT NUMBER) IS
   hire_dt     DATE;
   incr_missing EXCEPTION;
BEGIN
   SELECT sal * 0.10, hiredate INTO incr, 
hire_dt FROM emp
      WHERE empno = emp_id;
   IF incr IS NULL THEN
      RAISE incr_missing;
   END IF;
   IF MONTHS_BETWEEN(SYSDATE, hire_dt) > 10 THEN
      incr := incr + 500;
   END IF;
EXCEPTION
   WHEN incr_missing THEN
      DBMS_OUTPUT.PUT_LINE('No increment for Employee: ' || emp_id);
END cal_bonus;
